Bug 1573483 - dscreate requires lib389 but 389-ds-base does not bring lib389 as a dependency
Summary: dscreate requires lib389 but 389-ds-base does not bring lib389 as a dependency
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: 389-ds-base
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: mreynolds
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-01 13:24 UTC by Matus Honek
Modified: 2020-09-13 22:09 UTC (History)
3 users (show)

Fixed In Version: 389-ds-base-1.4.0.11-2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-24 11:52:43 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github 389ds 389-ds-base issues 2723 0 None closed 389-ds-base and python3-lib389 have common provides 2020-12-09 12:20:01 UTC

Description Matus Honek 2018-05-01 13:24:28 UTC
Description of problem:
Installing 389-ds-base brings /usr/sbin/dscreate command which internally imports lib389. However, the lib389 is not installed as a dependency, therefore the dscreate fails with a python stacktrace.

Version-Release number of selected component (if applicable):
389-ds-base-1.4.0.8-1.fc28.x86_64
python3-lib389-1.4.0.8-1.fc28.noarch (of course, not installed for the primary bug report, only for the Additional Info section below).

How reproducible:
Always.

Steps to Reproduce:
1. Run a docker container fedora:28.
2. Upgrade the system and install 389-ds-base.
3. Try to run dscreate.

Actual results:
~~~
[root@5b4c4ba130b9 /]# dscreate 
Traceback (most recent call last):
  File "/usr/sbin/dscreate", line 15, in <module>
    from lib389 import DirSrv
ModuleNotFoundError: No module named 'lib389'
~~~
Installing the python3-lib389 solves the problem.

Expected results:
dscreate does not throw the exception.

Additional info:
python3-lib389 provides dscreate at the very same file system path as 389-ds-base does.

I'm currently not sure what should be the correct state of the two packages. This is rather for a discussion, I guess.

Comment 1 Matus Honek 2018-07-24 11:52:43 UTC
Fixed with:
https://src.fedoraproject.org/rpms/389-ds-base/c/e1179c50d126475e0902a1b7ccd8bb7861d8f8e6?branch=f28

Closing as CURRENTRELEASE.


Note You need to log in before you can comment on or make changes to this bug.